ProspectsGet a prospect

Get a prospect

Needs: Prospects, Read

Returns a prospect profile: contact and pipeline fields, notes and events, follow-ups, visible custom attributes, attached form and files. Use the files endpoint to read a file, and the forms endpoints for an attached form.

curl -X GET "https://app.imploy.com.au/api/integrations/v1/prospects/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": {
    "id": 21,
    "name": "Example Prospect",
    "first_name": "Example",
    "last_name": "Prospect",
    "email": "example.prospect@example.com",
    "phone": "0400 000 000",
    "suburb": "Perth",
    "date_of_lead": "2026-02-20",
    "stage": "New",
    "tags": [],
    "source": "Website",
    "consultant": "Example Consultant",
    "funding_type": "NDIS",
    "followup_date": "2026-03-05",
    "converted": false,
    "client_id": null,
    "notes": "Enquired about weekday support.",
    "custom_attributes": [
      {
        "key": "referrer",
        "label": "Referrer",
        "value": "Support coordinator"
      }
    ],
    "events": [
      {
        "id": 4,
        "type": "Phone call",
        "note": "Left a message.",
        "followup_date": "2026-03-05",
        "staff": "Example Consultant",
        "tags": [],
        "created": "2026-02-21 09:10:00"
      }
    ],
    "files": [],
    "form_submission_id": null
  }
}
GET
/prospects/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The prospect id.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The prospect id.

Responses

OK